//    MPlayerX - Multimedia file player application
//    Copyright (C) 2002  Regis COSNIER
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

// OSDStatic.cpp : implementation file
//

#include "stdafx.h"
#include "mplayerx.h"
#include "OSDStatic.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COSDStatic

COSDStatic::COSDStatic()
{
}

COSDStatic::~COSDStatic()
{
}


BEGIN_MESSAGE_MAP(COSDStatic, CStatic)
	//{{AFX_MSG_MAP(COSDStatic)
	ON_WM_PAINT()
	ON_WM_ERASEBKGND()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COSDStatic message handlers

void COSDStatic::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
   	CMainFrame * pMainFrame = (CMainFrame *)AfxGetMainWnd();
	if(pMainFrame)
	{
		CFont * pFont = GetFont();
		if(pFont)
		{
			CFont * pFontDC = dc.SelectObject(pFont);
			dc.SetTextColor(m_colorFont);
			if(m_fTransparent)
				dc.SetBkMode(TRANSPARENT); 
			else
				dc.SetBkColor(m_colorBackgroundFont);
			CString szText;
			GetWindowText(szText);
//			dc.TextOut(20, 20, szText);
			CRect rect(0, 0, 200, 100);
			GetClientRect(&rect);
			dc.DrawText(szText, &rect, DT_LEFT | DT_TOP);
			dc.SelectObject(pFontDC);
		}
	}
}

BOOL COSDStatic::OnEraseBkgnd(CDC* pDC) 
{
	// TODO: Add your message handler code here and/or call default
	
	return CStatic::OnEraseBkgnd(pDC);
}
