//    MPlayerX - Multimedia file player application
//    Copyright (C) 2002  Regis COSNIER
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#if !defined(AFX_SETTINGSOSDPROPERTYPAGE_H__INCLUDED_)
#define AFX_SETTINGSOSDPROPERTYPAGE_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SettingsOSDPropertyPage.h : header file
//

#include "OSDStatic.h"
#include "afxcmn.h"

/////////////////////////////////////////////////////////////////////////////
// CSettingsOSDPropertyPage dialog

class CSettingsOSDPropertyPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CSettingsOSDPropertyPage)

// Construction
public:
	CSettingsOSDPropertyPage();
	~CSettingsOSDPropertyPage();

// Dialog Data
	//{{AFX_DATA(CSettingsOSDPropertyPage)
	enum { IDD = IDD_DIALOG_SETTINGS_OSD };
	CSpinButtonCtrl	m_wndSpinPosY;
	CSpinButtonCtrl	m_wndSpinPosX;
	COSDStatic	m_wndStatic;
	BOOL	m_fTransparent;
	long	m_nPosX;
	long	m_nPosY;
	//}}AFX_DATA

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CSettingsOSDPropertyPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL m_fDialogInitialized;
	// Generated message map functions
	//{{AFX_MSG(CSettingsOSDPropertyPage)
	afx_msg void OnButtonSelectFont();
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonBackgroundColor();
	afx_msg void OnCheckTransparent();
	afx_msg void OnChangeEditPosX();
	afx_msg void OnChangeEditPosY();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETTINGSOSDPROPERTYPAGE_H__INCLUDED_)
