//    MPlayerX - Multimedia file player application
//    Copyright (C) 2002  Regis COSNIER
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

//
#if !defined(AFX_CONTROLDIALOGBAR_H__INCLUDED_)
#define AFX_CONTROLDIALOGBAR_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ControlDialogBar.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CControlDialogBar window

class CControlDialogBar : public CSizingControlBarG
{
// Construction
public:
	CControlDialogBar();

// Attributes
public:
	CSliderCtrl m_wndSliderCtrlVolume;
	CSliderCtrl m_wndSliderCtrlBalance;
	CSliderCtrl m_wndSliderCtrlSpeed;
	CSliderCtrl m_wndSliderCtrlDelay;

	CStatic m_wndStaticVolume;
	CStatic m_wndStaticBalance;
	CStatic m_wndStaticSpeed;
	CStatic m_wndStaticDelay;

// Operations
public:
	void UpdateVolume();
	void UpdateBalance();
	void UpdateSpeed();
	void UpdateDelay();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CControlDialogBar)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CControlDialogBar();

	// Generated message map functions
protected:
	//{{AFX_MSG(CControlDialogBar)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONTROLDIALOGBAR_H__INCLUDED_)
