//    MPlayerX - Multimedia file player application
//    Copyright (C) 2002  Regis COSNIER
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

// RecentFileListEx.h: interface for the CRecentFileListEx class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RECENTFILELISTEX_H__INCLUDED_)
#define AFX_RECENTFILELISTEX_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxadv.h>

class CRecentFileListEx : public CRecentFileList  
{
public:
	CRecentFileListEx(UINT nStart, LPCTSTR lpszSection,
		LPCTSTR lpszEntryFormat, int nSize,
		int nMaxDispLen = AFX_ABBREV_FILENAME_LEN)
		: CRecentFileList(nStart, lpszSection, lpszEntryFormat, nSize, nMaxDispLen)
	{}

// Operations
	void UpdateMenuEx(CCmdUI* pCmdUI);
};

#endif // !defined(AFX_RECENTFILELISTEX_H__INCLUDED_)
